<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!-- IGAC proyecto SNC 

@author: javier.aponte 									
@description Pantalla de la actividad corespondiente a registrar correcciones a productos entregados 
@version 1.0
@cu CU-TV-PR-004
@author javier.aponte

-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:p="http://primefaces.org/ui"
                xmlns:productos="http://java.sun.com/jsf/composite/productos"
                xmlns:misc="http://java.sun.com/jsf/composite/misc"
                xmlns:predio="http://java.sun.com/jsf/composite/predio"
                template="/templates/generalCU.xhtml">

    <ui:define name="content">
        <p:messages id="msgsRegistrarCorreccionesPE" showDetail="false"
                    globalOnly="false" />
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <p:spacer height="30" width="0" />

        <p:fieldset toggleable="true" toggleSpeed="500">

            <legend> 
                <h:outputLabel value="Registrar correcciones de los productos entregados" styleClass="legendTitle" /> 
            </legend>

            <productos:productoCatastralResumen id="pcResumen"
                                                selectedSolicitudParam="#{revisionProductosGenerados.solicitudSeleccionada}"
                                                documentosSoportesParam="#{revisionProductosGenerados.documentosSoportesPC}" />

            <h:form prependId="false" id="registroCorreccionesPEForm">	


                <p:fieldset toggleable="true" toggleSpeed="500"
                            id="productosAsociadosASolicitudFS">
                    <legend>
                        <h:outputText value="Productos asociados a la solicitud"
                                      styleClass="legendTitle" />
                    </legend>

                    <h:panelGrid columns="1" width="100%">

                        <p:dataTable id="tblDatosProductosAsociados" var="productoCatastralAsociado"
                                     rowKey="#{productoCatastralAsociado.id}"
                                     selection="#{revisionProductosGenerados.productoCatastralSeleccionado}"
                                     selectionMode="single"
                                     emptyMessage="No se han adicionado productos a la solicitud"
                                     paginator="true" rows="10"
                                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                                     paginatorPosition="bottom" rowsPerPageTemplate="5,10,15"
                                     value="#{revisionProductosGenerados.productosCatastralesAsociados}">

                            <p:ajax event="rowSelect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                    listener="#{revisionProductosGenerados.seleccionarProductoCatastral}"
                                    update=":registroCorreccionesPEForm"/>

                            <p:ajax event="rowUnselect" onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                                    listener="#{revisionProductosGenerados.desseleccionarProductoCatastral}"
                                    update=":registroCorreccionesPEForm"/>

                            <f:facet name="header">
                                Productos asociados a la solicitud
                            </f:facet>

                            <p:column headerText="Código">
                                <h:outputText value="#{productoCatastralAsociado.producto.codigo}" />
                            </p:column>

                            <p:column headerText="Descripción">
                                <h:outputText value="#{productoCatastralAsociado.producto.nombre}" />
                            </p:column>

                            <p:column headerText="Cantidad">
                                <h:outputText value="#{productoCatastralAsociado.cantidad}" />
                            </p:column>

                            <p:column headerText="Registra inconformidad" >
                                <h:outputText value="#{productoCatastralAsociado.registraInconformidad}" />
                            </p:column>	

                        </p:dataTable>

                        <p:spacer height="10" width="0"/>

                        <p:commandButton value="Ver producto"
                                         title="Ver producto"
                                         action="#{revisionProductosGenerados.verProducto}"
                                         onstart="statusDialog2.show();" 
                                         oncomplete="statusDialog2.hide();archivosAsociadosAProductoWV.show();"
                                         update=":archivosAsociadosAProductosForm,
                                         :registroCorreccionesPEForm:panelBotones"
                                         rendered="#{revisionProductosGenerados.activarBotonVerProducto}"
                                         icon="ui-icon-search"/>

                        <p:spacer height="10" width="0"/>

                    </h:panelGrid>

                </p:fieldset>

                <p:spacer height="10" width="0" />

                <h:panelGrid columns="5" id="panelBotones">

                    <p:commandButton value="Enviar a ajustes en la solicitud del producto"
                                     ajax="false" title="Enviar a ajustes en la solicitud del producto"
                                     action="#{revisionProductosGenerados.avanzarProcesoAIngresarSolicitudProductos}"
                                     rendered="#{revisionProductosGenerados.activarBotonEnviarAAjustesSolicitudProducto}"
                                     icon="ui-icon-seek-next"/>

                    <p:spacer height="0" width="20" 
                              rendered="#{revisionProductosGenerados.activarBotonEnviarAAjustesDescripcionProducto}"/>

                    <p:commandButton value="Enviar a ajustes en la descripción del producto"
                                     ajax="false" title="Enviar a ajustes en la descripción del producto"
                                     action="#{revisionProductosGenerados.avanzarProcesoARegistrarDatosDeProductos}"
                                     rendered="#{revisionProductosGenerados.activarBotonEnviarAAjustesDescripcionProducto}"
                                     icon="ui-icon-seek-next"/>

                    <p:spacer height="0" width="20" 
                              rendered="#{revisionProductosGenerados.activarBotonObservacionesProducto}"/>

                    <p:commandButton value="Observaciones producto"
                                     title="Observaciones producto"
                                     rendered="#{revisionProductosGenerados.activarBotonObservacionesProducto}"
                                     oncomplete="observacionesAlProductoWV.show();"
                                     update=":observacionesAlProductoForm"
                                     icon="ui-icon-seek-next"/>

                </h:panelGrid>	

                <p:spacer height="30" width="0" />

                <p:separator style="width:90%;height:3px" />
                <p:spacer height="7" width="0" />
                <p:outputPanel layout="block" style="text-align:right">
                    <p:commandButton value="Cerrar" 
                                     icon="ui-icon-circle-close" immediate="true" process="@this"
                                     action="#{revisionProductosGenerados.cerrarPaginaPrincipal}"
                                     ajax="false" />
                    <p:spacer height="0" width="30" />
                </p:outputPanel>

            </h:form>
        </p:fieldset>

        <misc:docViewerWithCloseDecisionCC id="docViewer"
                                           confirmUpdate="msgInfoFis" confirmDialogWV="docViewerWV"
                                           ajaxBehavior="true"
                                           selectedDocumentAtt="#{previsualizacionDocumento.rutaArchivoTemporal}"
                                           showDownloadButton="#{previsualizacionDocumento.documentoDwg}"
                                           fileContent="#{previsualizacionDocumento.reporteDTO.streamedContentReporte}"
                                           doctypeAtt="#{vistaDetallesTramite.tipoMimeDocTemporal}"
                                           headerLabel="Previsualización de documento" yesRendered="false"
                                           noLabel="Cerrar" />	


        <p:dialog header="Detalle de la solicitud" dynamic="true"
                  widgetVar="detalleSolicitudWV" modal="true" appendToBody="true"
                  resizable="true" position="center" height="480" width="960">
            <ui:include
                src="/conservacion/ejecucion/detalleSolicitudEjecutar.xhtml">
                <ui:param name="currentManagedBeanParam"
                          value="#{vistaDetallesSolicitud}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{revisionProductosGenerados.solicitudSeleccionada}" />
                <ui:param name="tramiteResumenID"
                          value="#{null}" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Archivos asociados al producto generado" widgetVar="archivosAsociadosAProductoWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="480" width="880">
            <ui:include src="archivosAsociadosAProductos.xhtml" >
                <ui:param name="formularioAActualizar"
                          value="registroCorreccionesPEForm" />
            </ui:include>
        </p:dialog>

        <p:dialog header="Observaciones al producto" widgetVar="observacionesAlProductoWV"
                  dynamic="true" modal="true" appendToBody="true" resizable="true"
                  position="center" height="320" width="480">
            <ui:include src="observacionesAlProducto.xhtml" />
        </p:dialog>

        <misc:visualizadorMemorandosCC 
            id="viewProducto" thisWVName="viewProductoWV"
            nombreDialogo="Producto"
            urlDocumento="#{revisionProductosGenerados.productoGenerado.urlWebReporte}"
            fileContent="#{revisionProductosGenerados.productoGenerado.streamedContentReporte}"
            documentoGenerado="#{revisionProductosGenerados.productoGenerado ne null}"
            radicarButtonVisible="false" />

    </ui:define>
</ui:composition>